package cn.iocoder.yudao.module.knowledge.utils;

import org.springframework.beans.factory.annotation.Value;

/**
 * 加载本地路径示例，具体内容直接修改
 * 使用的时候放开注解 @Component
 */
//@Component
public class PathUtil {
    @Value("${excelUrl.downloadTemplate_win}")
    private String downloadTemplate_win;

    @Value("${excelUrl.downloadTemplate_linux}")
    private String downloadTemplate_linux;

    @Value("${excelUrl.uploadPoleExcelFile_win}")
    private String uploadPoleExcelFile_win;

    @Value("${excelUrl.uploadPoleExcelFile_linux}")
    private String uploadPoleExcelFile_linux;

    /**
     * 获取文件上传后保存的路径
     * @param method
     * @return
     */
    public String getOsFilePath(String method){
        String os = System.getProperty("os.name");
        String filePath="";
        switch (method){
            case "downloadTemplates":
                if (os.toLowerCase().startsWith("win")){
                    filePath=downloadTemplate_win;
                }else {
                    filePath=downloadTemplate_linux;
                }
                break;
            case "uploadPoleExcelFile":
                if (os.toLowerCase().startsWith("win")){
                    filePath=uploadPoleExcelFile_win;
                }else {
                    filePath=uploadPoleExcelFile_linux;
                }
                break;
        }
        return filePath;
    }
}
